<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="6dp"
    android:layout_marginTop="5dp"
    android:layout_marginEnd="6dp"
    android:layout_marginBottom="7dp"
    android:background="@drawable/bg_white_10dp"
    android:paddingBottom="14dp">

    <ImageView
        android:id="@+id/iv_cover"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="100dp"
        android:scaleType="centerCrop"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="7dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="2"
        android:paddingStart="11dp"
        android:paddingEnd="11dp"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_14"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_cover"
        tools:text="长笛练习过程中的小技巧-换气法" />

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/iv_avatar"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginStart="11dp"
        android:layout_marginTop="12dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />


    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:layout_marginEnd="5dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
        app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
        app:layout_constraintRight_toLeftOf="@+id/tv_tip"
        app:layout_constraintTop_toTopOf="@+id/iv_avatar"
        tools:text="酷乐秀官方" />

    <TextView
        android:id="@+id/tv_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="11dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/iv_avatar"
        tools:text="1112人观看" />

    <View
        android:id="@+id/view_live_bg"
        android:layout_width="60dp"
        android:layout_height="24dp"
        android:layout_marginTop="15dp"
        android:background="@color/color_33000000"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_live_anim_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="直播中"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/view_live_bg"
        app:layout_constraintLeft_toRightOf="@+id/iv_live_anim"
        app:layout_constraintRight_toRightOf="@+id/view_live_bg"
        app:layout_constraintTop_toTopOf="@+id/view_live_bg" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/iv_live_anim"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="48dp"
        app:layout_constraintBottom_toBottomOf="@+id/view_live_bg"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/view_live_bg"
        app:lottie_autoPlay="false"
        app:lottie_loop="true"
        app:lottie_rawRes="@raw/home_talent_style_live_anim" />
</androidx.constraintlayout.widget.ConstraintLayout>